Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040810
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-08 15:112019-05-15 16:17
ReporterngarciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision34cf62587927
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040810: Cannot Sell On Credit after loading a paid ticket and reversing the payment

DescriptionCannot Sell On Credit after loading a paid ticket and reversing the payment
Steps To ReproduceIn the backend:
    Go to Business Partner window and set a Credit Line Limit of 100000 to Arturo Montoro
   Configure the Channel Touchpoint Type to Allow Pay On Credit

In the POS:
   Change the business partner to Arturo Montoro
   Add a product
   Click on the total and pay it
   Go to Open Receipt and select previously created order
   Reverse Payment
   Check the Sell On Credit button does not appear
   Pay it to finish the process

   Create a new ticket
   Change the business partner to Arturo Montoro
   Add a product
   Click on the total and Sell On Credit
   Go to Verified Returns and select previously created order
   Click on the total and pay it
   Go to Open Receipt and select previously created return
   Reverse Payment
   Check the Sell On Credit button does not appear
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038976 closedasiermartirena When doing a reverse payment, it shouldn't be possible to pay less than the initial amount 

-  Notes
(0111683)
hgbot (developer)
2019-05-15 09:09

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 34cf62587927c97d9141e115104e96301fc6148c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed May 15 12:39:28 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/34cf62587927c97d9141e115104e96301fc6148c [^]

Fixed issue 40810 : Sell On Credit Button in Payment button should be displayed for Paid Receipt with Reverse Payments

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0111684)
hgbot (developer)
2019-05-15 09:10

Repository: tools/automation/pi-mobile
Changeset: b67308fd131cd46540b4ce19afc5c390473b90f4
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed May 15 12:39:39 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/b67308fd131cd46540b4ce19afc5c390473b90f4 [^]

Verifies issue 40810 : Added automated test 'I40810_VerifyCreditButtonOnReversePayment'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/reversepayments/ReversePaymentPaidOnCreditWithCredit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/reversepayments/ReversePaymentWithCredit.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I40810_VerifyCreditButtonOnReversePayment.java
---

- Issue History
Date Modified Username Field Change
2019-05-08 15:11 ngarcia New Issue
2019-05-08 15:11 ngarcia Assigned To => Retail
2019-05-08 15:11 ngarcia Triggers an Emergency Pack => No
2019-05-08 17:11 ngarcia Priority immediate => urgent
2019-05-08 17:11 ngarcia Relationship added related to 0038976
2019-05-09 12:05 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-05-09 12:05 ranjith_qualiantech_com Status new => scheduled
2019-05-15 09:09 hgbot Checkin
2019-05-15 09:09 hgbot Note Added: 0111683
2019-05-15 09:09 hgbot Status scheduled => resolved
2019-05-15 09:09 hgbot Resolution open => fixed
2019-05-15 09:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/34cf62587927c97d9141e115104e96301fc6148c [^]
2019-05-15 09:10 hgbot Checkin
2019-05-15 09:10 hgbot Note Added: 0111684
2019-05-15 16:17 marvintm Review Assigned To => marvintm
2019-05-15 16:17 marvintm Status resolved => closed
2019-05-15 16:17 marvintm Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker